/**
 * @file   zrconf.h
 * @author NOKUBI Takatsugu
 * @date   Wed Dec 24 10:12:10 2003
 * 
 * @brief  ZauRSS Configuration
 * 
 * $Id$
 */

#ifndef ZRCONF_H_
#define ZRCONF_H_

#include <qvector.h>
#include <qstring.h>

class ZRConfRssItem {
 public:
  QString title;
  QString link;
  bool seen;
};

class ZRConfRss {
 public:
  ZRConfRss();
  ~ZRConfRss();
  long id;
  QString title;
  QString link;
  QVector<ZRConfRssItem> items;
};

class ZRConf {
 public:
  ZRConf();
  ~ZRConf();
  bool load();
  bool save();

  QString version;
  QVector<ZRConfRss> rss;
};

#endif /* ZRCONF_H_ */
